#!/bin/bash

#=== Local Variables ===
EMAIL_TARGET=amos.geng@emeralit.com
LOG_STATUS=/home/oracle/emeralit/scripts/db_reboot/db_shutdown.log


#=== Step 1. Initialize Environment Variables ===
. $1


#=== Step 2. Prepare Log Heading Section ===
echo "Database Shutdown"                         > $LOG_STATUS
echo "Date: `date "+%H:%M:%S %m/%d/%y"`"        >> $LOG_STATUS
echo ""                                         >> $LOG_STATUS


#=== Step 3. Shutdown Function Defination ===
func_database_shutdown() {
        export ORACLE_SID=$i;

        db_status=`sqlplus -s / as sysdba <<ENDSQL
                        set head off;
                        set feedback off;
                        select instance_name || ' -- ' || status from v\\$instance;
                        shutdown immediate;
                        EXIT;
                        ENDSQL`

        echo $db_status
        echo ""
        echo $db_status >> $LOG_STATUS
        echo ""         >> $LOG_STATUS
}


#=== Step 4. Execute Shutdown Function ===
for i in $USER_INSTANCES
do
        func_database_shutdown $i
done


#=== Step 5. Sending out Email ===
mail -s "Emeralit: `hostname`: Database Being Shutting Down" $EMAIL_TARGET < $LOG_STATUS