#!/bin/bash

#=== Local Variables ===
EMAIL_TARGET=amos.geng@emeralit.com
LOG_STATUS=/home/oracle/emeralit/scripts/db_reboot/db_startup.log


#=== Step 1. Initialize Environment Variables ===
. $1


#=== Step 2. Prepare Log Heading Section ===
echo "Database Startup"                  > $LOG_STATUS
echo "Date: `date "+%H:%M:%S %m/%d/%y"`"        >> $LOG_STATUS
echo ""                                         >> $LOG_STATUS


#=== Step 3. Shutdown Function Defination ===
func_database_startup() {
        export ORACLE_SID=$i;
        echo $1
        echo $i >> $LOG_STATUS

        db_status=`sqlplus -s / as sysdba <<ENDSQL
                        set head off;
                        set feedback off;
                        startup;
                        select ' >> ' || status from v\\$instance;
                        EXIT;
                        ENDSQL`

        echo $db_status
        echo ""
        echo $db_status >> $LOG_STATUS
        echo ""         >> $LOG_STATUS
}


#=== Step 4. Execute Shutdown Function ===
for i in $USER_INSTANCES
do
        func_database_startup $i
done


#=== Step 5. Sending out Email ===
mail -s "Emeralit: `hostname`: Database Being Starting Up" $EMAIL_TARGET < $LOG_STATUS